Subject: Re: Sleep-capable GPIO slave-selects on MPC52xx?

From: Bill Gatliff <[email-masked]>
Date: Tue, 12 Jan 2010 10:50:12 -0600

Bill Gatliff wrote:
>
> It looks like the current version of the MPC52xx SPI driver won't work
> with sleep-capable GPIOs for slave-selects.  In particular, it looks
> like mpc52xx_spi_fsmstate_transfer() is an interrupt handler that calls
> mpc52xx_spi_chipsel(), which itself calls gpio_set_value().  Or, at
> least my kernel thinks so, since I get a barrage of oops-type output
> screaming at me whenever I hit the SPI device.  :)
>
> Am I missing something, or is this a known (or at least now-identified)
> limitation of the current mpc52xx_spi.c?
>   

So, nobody has any feedback on this?  :)

Would using a threaded handler for the SPI interrupts be likely to work
here?

b.g.

-- 
Bill Gatliff
Embedded systems training and consulting
http://billgatliff.com
[email-masked]